<div *ngIf="product" id="product-page-container">
    <div id="product-page-header-container">
        <h3 id="product-page-header-label">{{product.nameEn}}</h3>
    </div>

    <div id="product-page-main-container" [style.display]="getDisplay()">
        <div id="product-page-picture-container">
            <img class="product-page-image" src="{{product.pictureUrl[0]}}" (click)="onPictureClick()">
            <img class="product-page-image invisible" src="{{product.pictureUrl[1]}}" (click)="onPictureClick()">
        </div>
        <div id="product-page-info-container">
            <div id="product-page-buy-container">
                <h4 id="product-price-label">{{product.price}} {{ "Uah" | localize }}</h4>
                <div id="product-count-container">
                    <input class="count-input" type="number" min="1" [(ngModel)]="count">
                </div>
                <button class="buy-btn defaultBtn" (click)="onBuy()"><span>{{ "Buy" | localize }}</span></button>
            </div>
            
            <div id="product-page-details-container">
                <label id="product-page-details-description-label">{{ "Description" | localize }}:</label>
                <label id="product-page-details-main-label">{{"description" | localize: product}}</label>
                <div id="product-page-details-notes-container">
                    <label id="product-page-details-notes-label">{{ "Notes" | localize }}:</label>
                    <div class="notes-container">
                        <label class="notes-header-label">{{ "Top Notes" | localize }}:</label>
                        <label class="notes-header-value">{{ "topNotes" | localize: product }}</label>
                    </div>
                    <div class="notes-container">
                        <label class="notes-header-label">{{ "Middle Notes" | localize }}:</label>
                        <label class="notes-header-value">{{ "middleNotes" | localize: product }}</label>
                    </div>
                    <div class="notes-container">
                        <label class="notes-header-label">{{ "Base Notes" | localize }}:</label>
                        <label class="notes-header-value">{{ "baseNotes" | localize: product }}</label>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>